
// Einfuehrung in Scilab/ScicosLab 
// ____________________________________
// Beispielskript: Rechnen mit Skalaren
// Matthias Kubisch, 02.04.2012


// Variablenzuweisungen (Skalare)

a = 2;
b = a;

// Ausgabe auf die Konsole

disp(a);    // oder ..
a           // oder ..
a = 2       // bei der Zuweisung, durch Weglassen des Semikolon


// Rechnen

    // Grundrechenarten
    c = a + b;
    d = a - b;
    e = a * b;
    f = a / b;
    
    // Potenzieren und Wurzel
    g = a^3;
    h = sqrt(4);
    
    // Exponentialfunktion und Logarithmus
    j = exp(10);
    k = log(10);
    
    // Trigonometrie: cos, sin, tanh, u.v.m.
    l = cos(0);
    
    // Runden
    round(3.4999);  // zur Ganzen runden
    floor(3.4999);  // immer abrunden
    ceil(3.4999);   // immer aufrunden
    
    // weitere nützliche Operationen
    min(1,2);   
    max(3,1);   
    modulo(10,3);   // 10 modulo 3 = 1
    sign(-4);        // Signumfunktion [-1,1]
    abs(-2);
    
// Konstanten

    %pi     // Kreiszahl
    %i      // imag. Zahl
    %e      // eulersche Zahl
    %eps    // kleinste vom System darstellbare Zahl 1 + %eps = 1


// Beispiele

    //  Zweierlogarithmus 
    b = log(256)/log(2);
    
    f = sin(2*%pi);
    
    j = sqrt(-1);
    
    
    
//____

