// Einfuehrung in Scilab/ScicosLab 
// ____________________________________
// Beispielskript: Zeitreihen anzeigen und abspeichern
// Matthias Kubisch, 05.04.2012


// zeitdiskr. dynamisches System definieren
function y = netupdate(W,x,b)
  y = tanh(W*x + b);
endfunction

W = [1.01 0.3; -0.3 1.01]; // Gewichtsmatrix
B = [0.0005;0]; // Biasvektor



// System durchrechnen

N = 250; // diskr. Zeitschritte
X = zeros(2,N);

for n = 2:N
    X(:,n) = netupdate(W,X(:,n-1),B);
end
  
// kuenstlich erzeugtes Rauschen hinzufuegen

X = X + 0.02*rand(2,N,"normal");


// Daten grafisch anzeigen

clf;           // Zeichenflaeche leeren
subplot(2,1,1) // Zeichenposition angeben

time = 1:N;
plot2d(time, X(1,:), style = 2); // plot mit Zeitachse
plot2d(time, X(2,:), style = 5);

subplot(2,2,3)
plot2d(X(1,:), X(2,:),style = 1); // Systemkomponenten gegeneinander zeichnen

subplot(2,2,4)
param3d(X(1,:), X(2,:),time,35,1); // 3D


// Daten speichern
fprintfMat("./data.csv", [time',X']);

